Runtime

## org.eclipse.gmf.runtime.notation
Interface DrawerStyle

All Superinterfaces:
  org.eclipse.emf.ecore.EObject, org.eclipse.emf.common.notify.Notifier, Style

All Known Implementing Classes:
  DrawerStyleImpl

    public interface DrawerStyle

extends Style

A representation of the model object 'Drawer Style'.

a style to be installed on nodes that can be collapsed like a drawer (eg. compartments)

The following features are supported:

- `Collapsed`

See Also:
  `NotationPackage.getDrawerStyle()`
** Generated **
Model:

Method Summary
`boolean` `isCollapsed()` Returns the value of the 'Collapsed' attribute.
`void` `setCollapsed(boolean value)` Sets the value of the '`Collapsed`' attribute

Methods inherited from interface org.eclipse.emf.ecore.EObject
`eAllContents, eClass, eContainer, eContainingFeature, eContainmentFeature, eContents, eCrossReferences, eGet, eGet, eIsProxy, eIsSet, eResource, eSet, eUnset`

Methods inherited from interface org.eclipse.emf.common.notify.Notifier
`eAdapters, eDeliver, eNotify, eSetDeliver`

Method Detail

### isCollapsed

    boolean isCollapsed()

  Returns the value of the 'Collapsed' attribute. The default value is `"false"`.

  Returns:
    the value of the 'Collapsed' attribute.
  See Also:
    `setCollapsed(boolean)`, `NotationPackage.getDrawerStyle_Collapsed()`
  ** Generated **
  Model:
    default="false"

### setCollapsed

    void setCollapsed(boolean value)

  Sets the value of the '`Collapsed`' attribute.

  Parameters:
    `value` - the new value of the 'Collapsed' attribute.
  See Also:
    `isCollapsed()`
  ** Generated **

Runtime

Guidelines for using Eclipse APIs.

Copyright (c) IBM Corp., Borland Software Corp., and others 2005,2006. All rights reserved.